Bug 404381 - privoxy: please switch to using system pcre [rhel-5]
privoxy: please switch to using system pcre [rhel-5]
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: privoxy (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Depends On:
  Show dependency treegraph
Reported: 2007-11-29 08:48 EST by Tomas Hoger
Modified: 2013-04-12 15:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-14 04:25:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-11-29 08:48:54 EST
Version of privoxy as shipped in Red Hat Enterprise Linux 5 contains embedded
copy of pcre source code (version 3.4).  Any problem (bug or security issue)
affecting pcre code may also need to be fixed in privoxy's copy of pcre code. 
Please switch to using system pcre library to avoid this.

Fedora privoxy packages have been modified to use system pcre (see bug #226316)
some time ago and according to maintainer, no problems surfaced (required patch
must be included, of course).
Comment 1 Phil Knirsch 2008-04-29 10:42:29 EDT
Proposing for RHEL-5.3 and granting Devel ACK.

Read ya, Phil
Comment 10 errata-xmlrpc 2008-08-14 04:25:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.